Bug 1518749 - [F28 change] 389-ds-base should not require tcp_wrappers
Summary: [F28 change] 389-ds-base should not require tcp_wrappers
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1518768
Blocks: 1495181 1596070
TreeView+ depends on / blocked
 
Reported: 2017-11-29 14:43 UTC by Jakub Jelen
Modified: 2018-06-28 08:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-29 13:02:29 UTC


Attachments (Terms of Use)

Description Jakub Jelen 2017-11-29 14:43:11 UTC
As announced earlier this year, we plan to deprecate TCP wrappers out of Fedora services in a single release (Fedora 28) to avoid user confusion that some of the tools will be using it and some not.

For more information about the change or possible migration paths outside of the package itself, see the linked accepted Fedora 28 change.

This report is for a source package, that has "BuildRequires tcp_wrappers" in spec file and resulting packages depend on "libwrap.so.0". The changes to remove the dependency should be minimal, usually a configure switch, but let me know if you will need some assistance with the changes.

Additional info:

https://fedoraproject.org/wiki/Changes/Deprecate_TCP_wrappers

Comment 1 Nathan Kinder 2017-11-30 17:04:49 UTC
I don't see anything in the 389-ds-base source code that actually links with libwrap.so.  I think this is just a stale dependency in the spec file that we should be able to easily remove.

Comment 2 Jakub Jelen 2017-12-04 09:52:28 UTC
Nathan, sorry for confusion.

This is one of the packages that depend on net-snmp, which brings the tcp_wrappers dependency (added a blocking bug). Therefore this package will just need a rebuild after the dependency will be removed from net-snmp and then verify it is really gone.

Comment 3 Fedora End Of Life 2018-02-20 15:21:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 4 Jakub Jelen 2018-03-19 11:07:57 UTC
This bug is resolved by the rebuild of net-snmp and 389-ds-base package. I still see the listed

BuildRequires:    tcp_wrappers

in your spec file, which is bogus at this moment and can be safely removed -- none of the resulting RPMs depend in F28 at libwrap anymore.

Feel free to close this bug.


Note You need to log in before you can comment on or make changes to this bug.